Subject: bug#63598: closed (Re: bug#63598: [29.0.91] (python) Skeletons sub-menu entry in python-menu remains empty)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 20 May 2023 16:55:02 +0000

Your bug report

#63598: [29.0.91] (python) Skeletons sub-menu entry in python-menu remains empty

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63598: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63598
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#63598: [29.0.91] (python) Skeletons sub-menu entry in python-menu remains empty
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 20 May 2023 19:54:40 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 20 May 2023 16:36:16 +0000
> From: [email-masked]
> Cc: [email-masked]
> 
> 
> 
> On 20.05.2023 16:57, Eli Zaretskii wrote:
> >> Date: Sat, 20 May 2023 07:36:48 +0000
> >> From: [email-masked]
> >> 
> >> As far as I understand, the call (python-skeleton-add-menu-items) in
> >> the definition of python-base-mode should populate the Skeletons
> >> sub-menu entry of the Python menu, but it does not on my setup.
> >> 
> >> My setup is a recent Emacs-plus Homebrew build:
> >> GNU Emacs 29.0.91 (build 1, x86_64-apple-darwin20.6.0, NS 
> >> appkit-2202.70
> >> Version 11.7.1 (Build 20G918)) of 2023-05-20
> > 
> > Thanks, should be fixed now on the emacs-29 branch.
> 
> Yes, you fixed it. Thanks for all your work!

Thanks for testing, I'm therefore closing this bug.

Subject: [29.0.91] (python) Skeletons sub-menu entry in python-menu remains empty
From: [email-masked]
To: [email-masked]
Date: Sat, 20 May 2023 07:36:48 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

As far as I understand, the call (python-skeleton-add-menu-items) in
the definition of python-base-mode should populate the Skeletons
sub-menu entry of the Python menu, but it does not on my setup.

My setup is a recent Emacs-plus Homebrew build:
GNU Emacs 29.0.91 (build 1, x86_64-apple-darwin20.6.0, NS appkit-2202.70 
Version 11.7.1 (Build 20G918)) of 2023-05-20

Gerard